"""Migration file"""  # pylint: disable=invalid-name
# Generated by Django 4.2.13 on 2024-06-11 14:34

from django.db import migrations, models
import django.db.models.deletion
import netfields.fields


class Migration(migrations.Migration):
    """Migration class"""
    dependencies = [
        ('netbox_rps_plugin', '0020_alter_mapping_proxy_buffer_and_more'),
    ]

    operations = [
        migrations.AlterField(
            model_name='acldeniedsource',
            name='acl_source',
            field=netfields.fields.InetAddressField(max_length=39),
        ),
        migrations.AlterField(
            model_name='acldeniedsource',
            name='mapping',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='acl_denied_source', to='netbox_rps_plugin.mapping'),
        ),
        migrations.RunSQL(
            sql=[],
            reverse_sql=[("with b as \
			(select *, count(mapping_id) over (partition by mapping_id order by last_updated)  from netbox_rps_plugin_acldeniedsource), \
			c as (select id from b where count >1) \
			delete from netbox_rps_plugin_acldeniedsource where id in (select * from c); \
		")],
        )
    ]
